6 Replies Latest reply on Jan 30, 2016 6:00 AM by Just Shoot Me

    When I go to open a catalog a message reads: cannot be opened because it is too new to be used by this version of Lightroom.

    hollyt50278863

      When I go to open a catalog a message reads: "cannot be opened because it is too new to be used by this version of Lightroom". Does anyone know how I can rectify this? I have CC. My desktop icon does not do anything when I click on it either.